Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Subtask Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
https://api.uat.relesystest.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
Get a list of subtask completions for subtask with subtaskId that belongs to a task with taskId in a module with moduleId.

Default sort is by creationDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
subtaskId string / guid The subtask's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"af578b50-a876-44eb-8345-47391e7df0c9","userId":"aaad61d4-9b53-49c8-82de-33d60bbf7398","departmentId":"974510f3-b36b-4ad9-8620-d742b64a9535","areaDepartmentId":"6088a2e5-3a4a-4c55-af14-260e5b9b0120","creationDateTime":"2026-06-22T16:19:47.2087779+00:00"},{"id":"e2ee9334-177d-4452-a795-6f83e2717fa3","userId":"d78ef205-9a5c-4b4d-8283-bdc9180ffb6e","departmentId":"5c88926b-338c-4fbb-a67a-9681596bc4ee","areaDepartmentId":null,"creationDateTime":"2026-06-21T16:19:47.2087779+00:00"}]}
object
  count integer      
  data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string